Apache Tomcat 6.0.51

## org.apache.catalina.tribes
Class UniqueId

    java.lang.Object
      org.apache.catalina.tribes.UniqueId

All Implemented Interfaces:
  java.io.Serializable

    public final class UniqueId

extends java.lang.Object
implements java.io.Serializable

Title: Represents a globabally unique Id

Company:

Version:
  1.0
Author:
  Filip Hanik
See Also:
  Serialized Form

Field Summary
`protected byte[]` | `id`

Constructor Summary
`UniqueId()`
`UniqueId(byte[] id)`
`UniqueId(byte[] id, int offset, int length)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`byte[]` | `getBytes()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected byte[] id

Constructor Detail

### UniqueId

    public UniqueId()

### UniqueId

    public UniqueId(byte[] id)

### UniqueId

    public UniqueId(byte[] id,
                    int offset,
                    int length)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### getBytes

    public byte[] getBytes()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.